### Method

# Ide Surface set_icon_name

#### Declaration

    void
    ide_surface_set_icon_name (
      IdeSurface* self,
      const gchar* icon_name
    )

#### Description

No description available.

Sets property | `Ide.Surface:icon-name`

#### Parameters

`icon_name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.